/*
 *  Initiative - A role playing utility to track turns
 *  Copyright (C) 2002 Devon D Jones
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  The author of this program grants you the ability to use this code
 *  in conjunction with code that is covered under the Open Gaming License
 *
 * InitHolder.java
 *
 * Created on January 16, 2002, 1:01 PM
 */

package org.evilsoft.gaming.Init;

import org.evilsoft.gaming.System.SystemInitiative;
import java.util.Vector;

/**
 *
 * @author  devon
 * @version 
 */
public interface InitHolder {
    public SystemInitiative getInitiative();
    public String getHolderType();
    public String getPlayer();
    public String getName();
    public String getStatus();
    public void setStatus(String status);
    public Vector getRowVector(Vector columnOrder);
    public void editRow(Vector columnOrder, int colNumber, Object data);
}

